跳轉到主要內容
PATCH
/
sites
/
{siteId}
更新網站
curl --request PATCH \
  --url https://api.tinyinbox.app/sites/{siteId} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "domain": "<string>",
  "accentColor": "<string>",
  "welcomeMessage": "<string>"
}
'
{
  "site": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "ownerId": "<string>",
    "name": "<string>",
    "publicKey": "tin_abc123",
    "accentColor": "<string>",
    "welcomeMessage": "<string>",
    "createdAt": "2023-11-07T05:31:56Z",
    "updatedAt": "2023-11-07T05:31:56Z",
    "domain": "<string>"
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.tinyinbox.co/llms.txt

Use this file to discover all available pages before exploring further.

授權

Authorization
string
header
必填

儀表板和帳號路由使用的已簽署使用者 session token。

路徑參數

siteId
string<uuid>
必填

主體

application/json
name
string
Required string length: 1 - 80
domain
string | null
Maximum string length: 160
accentColor
string
Pattern: ^#[0-9a-fA-F]{6}$
welcomeMessage
string
Required string length: 1 - 180

回應

已更新的網站

site
object
必填